Altibase.jdbc.driver.sharding.core

## Class FailoverAlignInfo

- java.lang.Object
- - Altibase.jdbc.driver.sharding.core.FailoverAlignInfo

    public class FailoverAlignInfo
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`FailoverAlignInfo(boolean aIsNeedAlign, java.lang.String aSQLSTATE, int aNativeErrorCode, java.lang.String aMessageText, int aNodeId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getMessageText()`
`int` `getNativeErrorCode()`
`int` `getNodeId()`
`java.lang.String` `getSQLSTATE()`
`boolean` `isNeedAlign()`
`void` `setSQLSTATE(java.lang.String aSQLSTATE)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FailoverAlignInfo

    public FailoverAlignInfo(boolean aIsNeedAlign,
                             java.lang.String aSQLSTATE,
                             int aNativeErrorCode,
                             java.lang.String aMessageText,
                             int aNodeId)

### Method Detail

#### isNeedAlign

    public boolean isNeedAlign()

#### getSQLSTATE

    public java.lang.String getSQLSTATE()

#### setSQLSTATE

    public void setSQLSTATE(java.lang.String aSQLSTATE)

#### getNativeErrorCode

    public int getNativeErrorCode()

#### getMessageText

    public java.lang.String getMessageText()

#### getNodeId

    public int getNodeId()